package com.ruoyi.appVersion.service;

import java.util.List;
import com.ruoyi.appVersion.domain.TAppVersion;
import com.ruoyi.common.core.domain.AjaxResult;

/**
 * APP版本信息Service接口
 * 
 * @author ruoyi
 * @date 2021-06-16
 */
public interface ITAppVersionService 
{
    /**
     * 查询APP版本信息
     * 
     * @param fId APP版本信息ID
     * @return APP版本信息
     */
    public TAppVersion selectTAppVersionById(Long fId);

    /**
     * 查询APP版本信息列表
     * 
     * @param tAppVersion APP版本信息
     * @return APP版本信息集合
     */
    public List<TAppVersion> selectTAppVersionList(TAppVersion tAppVersion);

    /**
     * 新增APP版本信息
     * 
     * @param tAppVersion APP版本信息
     * @return 结果
     */
    public int insertTAppVersion(TAppVersion tAppVersion);

    /**
     * 修改APP版本信息
     * 
     * @param tAppVersion APP版本信息
     * @return 结果
     */
    public int updateTAppVersion(TAppVersion tAppVersion);

    /**
     * 批量删除APP版本信息
     * 
     * @param fIds 需要删除的APP版本信息ID
     * @return 结果
     */
    public int deleteTAppVersionByIds(Long[] fIds);

    /**
     * 删除APP版本信息信息
     * 
     * @param fId APP版本信息ID
     * @return 结果
     */
    public int deleteTAppVersionById(Long fId);

    public AjaxResult getAppVersion(Integer integer);
}
